package fabnum.metiis.config.validator;

public enum ContextEnum {
    CREATE,
    UPDATE,
    DELETE,

    CREATE_UTILISATEUR,
    UPDATE_UTILISATEUR,
    UPDATE_INFOS_PERSOS,

    CREATE_USER_PROFIL,

    CREATE_PROFIL,
    UPDATE_PROFIL,

    CREATE_AFFECTATION,
    UPDATE_AFFECTATION,

    CREATE_ACTIVITE,
    UPDATE_ACTIVITE_PARTIEL,
    UPDATE_ACTIVITE,

    CREATE_TYPE_ACTIVITE,
    UPDATE_TYPE_ACTIVITE,

    CREATE_ORGANISME,
    UPDATE_ORGANISME,

    CREATE_TYPE_ORGANISME,
    UPDATE_TYPE_ORGANISME,

    CREATE_CORPS,
    UPDATE_CORPS,

    CREATE_GRADE,
    UPDATE_GRADE,

    CREATE_EFFECTIF,

    CREATE_DISPONIBILITE,

    CREATE_TYPE_DISPONIBILITE,
    UPDTAE_TYPE_DISPONIBILITE,

    CHOISIR,
    CHOISIR_PERSONNE,

    CONTACT,

    UPDATE_ETAPE,

    DROIT_CREATION_PROFIL,
    DEBLOQUER,
    VALIDER,
    CREATE_GROUPE,
    CREATE_GROUPE_DETAILS,

    CREATE_EVALUATION,

    CREATE_ALERTE,

    CLOTURER_AFFECTATION,

    NEW_PWD, INSCRIPTION_TOKEN, PATCH_UTILISATEUR, RENEW_INSCRIPTION,

    CREATE_NOTIF,
    UPDATE_NOTIF
}
